Subject: Re: bug#10955: 24.0.94; Closing Speedbar frame raises error

From: Chong Yidong <[email-masked]>
Date: Sat, 10 Mar 2012 15:50:42 +0800

martin rudalics <[email-masked]> writes:

> So this code makes it impossible to delete an invisible (or iconified)
> frame if it's selected and there is only one other visible frame.  The
> attached patch should fix this but I'm not very sure whether it's
> correct.

Thanks for the analysis, Martin.  Judging by the comments in
other_visible_frames, the logic was basically out of date in assuming
the selected frame can't be invisible.  I checked in a slightly more
aggressive rewrite that clears this up.